#include "my_sqrt.h"
#include <UnitTest++/UnitTest++.h>
#include <stdexcept>

TEST(My_sqrt_of_9_is_3)
{
    CHECK_CLOSE(3, my_sqrt(9), 0.000001);
}

TEST(My_sqrt_of_2_is_correct)
{
    CHECK_CLOSE(1.414, my_sqrt(2), 0.001);
}

TEST(My_sqrt_of_negative_throws)
{
    CHECK_THROW(my_sqrt(-4), std::runtime_error);
}

TEST(My_abs_of_4_is_4)
{
    CHECK_EQUAL(4, my_abs(4));
}

TEST(My_abs_of_0_is_0)
{
    CHECK_EQUAL(0, my_abs(0));
}

TEST(My_abs_of_neg_4_is_4)
{
    CHECK_EQUAL(4, my_abs(-4));
}
